Bug 147476 - Assertion `pid == GET_LWP (lp->ptid)' failed
Assertion `pid == GET_LWP (lp->ptid)' failed
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elena Zannoni
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-08 07:58 EST by Pawel Salek
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-03 16:44:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pawel Salek 2005-02-08 07:58:54 EST
Description of problem:
I run gdb to debug a threaded program and after few hours, it crashed.
The conversation follows:

[New Thread -1255498832 (LWP 26282)]
[Thread -1255498832 (LWP 26282) exited]
/usr/src/build/475318-i386/BUILD/gdb+dejagnu-20040607/gdb/lin-lwp.c:667:
internal-error: wait_lwp: Assertion `pid == GET_LWP (lp->ptid)' failed.
A problem internal to GDB has been detected,
further debugging may prove unreliable.
Quit this debugging session? (y or n) y

/usr/src/build/475318-i386/BUILD/gdb+dejagnu-20040607/gdb/lin-lwp.c:667:
internal-error: wait_lwp: Assertion `pid == GET_LWP (lp->ptid)' failed.
A problem internal to GDB has been detected,
further debugging may prove unreliable.
Create a core file of GDB? (y or n) y

The core file was not created, though.

Version-Release number of selected component (if applicable):
gdb-6.1post-1.20040607.43

How reproducible:
Didn't try

Steps to Reproduce:
1. debug a threaded program


Actual Results:  Debugger crash

Expected Results:  Debugger works

Additional info:
Comment 1 Sitsofe Wheeler 2005-02-08 15:11:14 EST
Yowch. No clear steps on how to reproduce this nor any information on which
program was being debugged and what input it had been given. I don't hold out
any hope for this bug report...
Comment 2 Pawel Salek 2005-02-08 15:49:32 EST
1. No clear steps because it is not easily reproducible - as I wrote above but I
can write again it happened after few hours of just using the program being run
under the debugger.
2. debugged program: balsa - I assume it matters?
3. Input: "run". That's it.
Comment 3 Sitsofe Wheeler 2005-02-09 03:06:59 EST
I'm sure that extra info could turn out useful. You can get a core file by
changing your ulimit -c setting (man bash for more information about that)
before running gdb.
Comment 4 Matthew Miller 2006-07-10 19:16:32 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 Pawel Salek 2006-08-03 16:16:29 EDT
I am sorry for being silent about this: I have not seen the problem after
upgrade to FC5.
Comment 6 Matthew Miller 2006-08-03 16:44:07 EDT
Okay, thanks.

Note You need to log in before you can comment on or make changes to this bug.